package info.bukova.isspst.ui.reqsubjects;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

import info.bukova.isspst.data.Material;
import info.bukova.isspst.filters.MaterialFilter;
import info.bukova.isspst.services.reqsubjects.MaterialService;
import info.bukova.isspst.ui.ListViewModel;

public class MaterialList extends ListViewModel<Material> {
	
	@WireVariable
	private MaterialService materialService;
	
	@Init
	public void init() {
		service = materialService;
		dataClass = Material.class;
		formZul = "materialForm.zul";
		dataFilter = new MaterialFilter(getFilterTemplate());
	}

}
